Package org.eclipse.rdf4j.sail.helpers

## Class NotifyingSailConnectionBase

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSailConnection
  - - org.eclipse.rdf4j.sail.helpers.AbstractNotifyingSailConnection
    - - org.eclipse.rdf4j.sail.helpers.NotifyingSailConnectionBase

- All Implemented Interfaces:
    `AutoCloseable`, `NotifyingSailConnection`, `SailConnection`

      @Deprecated(forRemoval=true)
      public abstract class NotifyingSailConnectionBase
      extends AbstractNotifyingSailConnection

  Deprecated, for removal: This API element is subject to removal in a future version.
  since RDF4J 4.0. Use `AbstractNotifyingSailConnection` instead.
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `connectionLock, updateLock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotifyingSailConnectionBase​(AbstractSail sailBase)` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractNotifyingSailConnection

      `addConnectionListener, hasConnectionListeners, notifyStatementAdded, notifyStatementRemoved, removeConnectionListener`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `addStatement, addStatement, addStatementInternal, autoStartTransaction, begin, begin, clear, clearInternal, clearNamespaces, clearNamespacesInternal, close, closeInternal, commit, commitInternal, endUpdate, endUpdateInternal, evaluate, evaluateInternal, flush, getContextIDs, getContextIDsInternal, getExclusiveConnectionLock, getNamespace, getNamespaceInternal, getNamespaces, getNamespacesInternal, getSharedConnectionLock, getStatements, getStatementsInternal, getTransactionIsolation, getTransactionLock, isActive, isActiveOperation, isOpen, iterationClosed, pendingAdds, pendingRemovals, prepare, prepareInternal, registerIteration, removeNamespace, removeNamespaceInternal, removeStatement, removeStatements, removeStatementsInternal, rollback, rollbackInternal, setNamespace, setNamespaceInternal, size, sizeInternal, startTransactionInternal, startUpdate, transactionActive, verifyIsActive, verifyIsOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, explain, flush, getContextIDs, getNamespace, getNamespaces, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatements, rollback, setNamespace, setTransactionSettings, size, startUpdate`

- - ### Constructor Detail

    - #### NotifyingSailConnectionBase

          public NotifyingSailConnectionBase​(AbstractSail sailBase)

      Deprecated, for removal: This API element is subject to removal in a future version.